Subject: Celebrate Summer with $25 On Us

From: $25 Style Gift Card Survey <[email-masked]>
Date: Tue, 22 Jul 2014 08:52:08 -0700

| TJ Maxx Rewards |

Greetings Krb-wg-archive,

Below you can Redeem your $25 Gift Card. 

Claim Your $25 Here: http://www.munmot.com/gift/cazrd/issued/details.index

---
TJ Maxx Rewards: 6fe117e14accfe2e500f3c79c6576020
Issued: 07-22-2014 07:07:12

Redeem $25 Gift Card

Designer brands at T.J. prices
Complete the 1 minute survey here: http://www.munmot.com/gift/cazrd/issued/details.index

Regards,

TJ Maxx Rewards 

-
-
-
-
-
To stop further notifications from  Updated Notifications Services visit here: http://www.munmot.com/ryhj/t6hujt/wergt.dsfjg 
or write to - one one five- Hadley_Way_Counce, TN 38326

Dinah, no your understanding is correct. only *(a + 5) is needed. the compiler translates it into assembler code  From a C-compiler perspective, you are right. No sizeof is needed and those expressions I mentioned are TIt's done automatically. Since only adding an half element to a pointer (thus pointing in the middle of some element isn't going to make sense anyway. and Treb, no &a[1] - &a[0] is always going to be 1 for all types (not Mehrdad. i think that is because we comment on this all the time. so it will be pushed up in the list of recent discussions and then ppl will vote :) so it's always a good idea if you want more points to comment on yourself, then remove the comment haha  bingo. That's what I needed to see. I kept seeing sizeof() and thinking count() and getting mightily confused. Not my brightest moment. the assignment operator comment was just a tongue-in-cheek comment about how anal I am. ;-) ... I knew what you meant, and I'm sure everybody else did as well. Great q
 uestion btw, I was just listening to the SO So in the 5[a] case, the compiler is smart enough to use "*((5 * sizeof(a)) + a)" and not "*(5 + (a * sizeof(5)))"? Note: I guess so. I tried this in GCC and it worked.  That's a special case for the + operator, where one of the operands is a pointer and the other an Mehrdad, i think the comment thing don't work anymore. if one comments, it's not floating to the top :/   Johannes Schaub comments never floated to the top in my memoryhen you add an integer to a pointer, the compiler knows what type the pointer points to (so if a is an int*, it's 4 bytes or whatever...) so can perform the arithmetic right. Basically if you do "p++" then p should be adjusted to point to the next object in memory. "p++" is basically equivalent to "p = p + 1", so the definition of pointer addition makes everything line up. Also note you can't do arithmetic with pointers of typI would so much like to upvote it, but the "This is the direct artifact of arrays being
  pointers" disturbs the otherwise so good answer :( I suspect if you said "... of arrays being converted to pointers", more people including me would upvote.   Johannes Schaub - litb Sep 21 '09 at 15:18
1